#[derive(Clone, Copy)]
pub enum PlayType {
    Move  = 0,
    Place = 1,
}

#[derive(Clone, Copy)]
pub enum PlayState {
    Normal    = 0,
    Check     = 1,
    Checkmate = 2,
}

#[derive(Clone, Copy)]
pub struct Play {
    form:PlayType,
    from:u8,
    to:u8,
    piece:u8,
    capture:u8,
    state:PlayState,
}
