use crate::board::Board;

#[derive(Clone, Copy, PartialEq)]
pub enum GameState {
    None,
    Joinable,
    Ongoing,
    Complete,
}

pub struct Game {
    pub state:GameState,
    pub board:Board,
}
impl Game {
    pub fn new() -> Self
    {
        Self {
            state:GameState::Joinable,
            board:Board::new(),
        }
    }
}
